P4_INTO(3)

NAME
p4_into - INTO ( [name] -- pfa )

SYNOPSIS

#include <pfe/pfe-base.h>

FCode p4_into(---);

DESCRIPTION

will return the parameter-field address of the following word. Unlike others, this word will also return the address of LOCALS| and local LVALUE - so in fact a TO A and INTO A ! are the same. This word is most useful when calling C-exported function with a temporary local-VAR as a return-place argument - so the address of a local has to be given as an arg. Beware that you should not try to save the address anywhere else, since a local's address does always depend of the RP-depth - EXIT from a colon-word and the value may soon get overwritten. (see also TO )